aboutsummaryrefslogtreecommitdiff
path: root/config.dot/pbuilder/hooks
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-11-06 15:22:16 -0200
committerSilvio Rhatto <rhatto@riseup.net>2014-11-06 15:22:16 -0200
commit988fee6db67abce1b0220abd40a7a78f6f3ae5de (patch)
tree62c2b1d4a5f505bae57749952b341b3a1087d25c /config.dot/pbuilder/hooks
parent0b9fc45453eeba4c69cc1fc7daf03e0124a93628 (diff)
downloaddebian-988fee6db67abce1b0220abd40a7a78f6f3ae5de.tar.gz
debian-988fee6db67abce1b0220abd40a7a78f6f3ae5de.tar.bz2
Pbuilder: support for local repository
Diffstat (limited to 'config.dot/pbuilder/hooks')
-rwxr-xr-xconfig.dot/pbuilder/hooks/D90update.link (renamed from config.dot/pbuilder/hooks/D90update)9
1 files changed, 9 insertions, 0 deletions
diff --git a/config.dot/pbuilder/hooks/D90update b/config.dot/pbuilder/hooks/D90update.link
index 1f0a31d..0c5ac42 100755
--- a/config.dot/pbuilder/hooks/D90update
+++ b/config.dot/pbuilder/hooks/D90update.link
@@ -1,3 +1,12 @@
+#!/bin/bash
+#
# See https://wiki.debian.org/BuildingFormalBackports
# https://wiki.debian.org/PbuilderTricks#How_to_include_local_packages_in_the_build
+
+set -e
+
+if [ ! -z "$LOCALDEBS" ]; then
+ ( cd $LOCALDEBS; apt-ftparchive packages . > Packages )
+fi
+
/usr/bin/apt-get update